Package com.sun.mail.auth

# Class MD4

java.lang.Object
com.sun.mail.auth.MD4

public final class MD4 extends Object
The MD4 class is used to compute an MD4 message digest over a given buffer of bytes. It is an implementation of the RSA Data Security Inc MD4 algorithim as described in internet RFC 1320.

Author:
  Andreas Sterbenz, Bill Shannon (adapted for Jakarta Mail)

## Constructor Summary

Constructors
Constructor
Description
`MD4()`
Standard constructor, creates a new MD4 instance.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`digest(byte[] in)`
Compute and return the message digest of the input byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MD4

public MD4()
Standard constructor, creates a new MD4 instance.

## Method Details

### digest

public byte[] digest(byte[] in)
Compute and return the message digest of the input byte array.

Parameters:
  `in` - the input byte array
Returns:
  the message digest byte array